Vulnerability CVE-2020-35776


Published: 2021-02-18

Description:
A buffer overflow in res_pjsip_diversion.c in Sangoma Asterisk versions 13.38.1, 16.15.1, 17.9.1, and 18.1.1 allows remote attacker to crash Asterisk by deliberately misusing SIP 181 responses.

Type:

CWE-120

(Buffer Copy without Checking Size of Input ('Classic Buffer Overflow'))

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
Digium -> Asterisk 

 References:
http://packetstormsecurity.com/files/161470/Asterisk-Project-Security-Advisory-AST-2021-001.html
http://seclists.org/fulldisclosure/2021/Feb/57
https://downloads.asterisk.org/pub/security/AST-2021-001.html
https://issues.asterisk.org/
https://issues.asterisk.org/jira/browse/ASTERISK-29227

Copyright 2021, cxsecurity.com

 

Back to Top